Bug 118635 - UI: The relative checkbox in table properties is disabled after re-opening of the dialog
Summary: UI: The relative checkbox in table properties is disabled after re-opening of...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Writer-Table-Properties-Dialog
  Show dependency treegraph
 
Reported: 2018-07-09 13:52 UTC by Telesto
Modified: 2018-10-12 09:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-07-09 13:52:14 UTC
Description:
The relative checkbox in table properties is disabled after re-opening of the dialog 

Steps to Reproduce:
1. Open Writer
2. Insert a table (say 2x2)
3. Open the menu table -> Properties
4. In the table tab select Alignment Left -> relative checkbox gets enabled (as it should)
5. Press OK
6. Open the menu table -> Properties -> Disabled relative checkbox (switch the alignment to something else & back to left. Relative is working again)

Actual Results:
Relative checkbox disabled with alignment left selected (also applies for other alignment settings)

Expected Results:
Relative checkbox should be enabled with alignment left


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Found in
Version: 6.1.0.1
Build ID: 378e26bd4f22a135cef5fa17afd5d4171d8da21a
CPU threads: 4; OS: Mac OS X 10.12.6; UI render: default; 
Locale: nl-NL (nl_NL.UTF-8); Calc: group threaded

but not in 
4.3.7.2
Comment 1 Aron Budea 2018-07-10 23:21:43 UTC
Confirmed and bibisected using repo bibisect-linux-64-6.2. Adding Cc: to Caolán McNamara, please take a look.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=56e813e810c42fd7885521698a0e4dfaf5862038
author		Caolán McNamara <caolanm@redhat.com>	2018-06-06 17:04:10 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-06-07 15:24:12 +0200

weld SwFormatTablePage
Comment 2 Commit Notification 2018-07-16 16:03:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=508cb85217f0b1ed91a346520a8661e60f32f7ba

tdf#118635 relative checkbox disabled on reopen

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2018-07-16 16:07:29 UTC
6-1 backport in gerrit
Comment 4 Xisco Faulí 2018-07-17 17:59:07 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 4d18cd6aad0daaefaca792e8eac173bea07f3750
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Caolán, Thanks for fixing this!!
Comment 5 Commit Notification 2018-07-19 10:13:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=de607309e27616a9e53eadee2bab9cd0de74cae3&h=libreoffice-6-1

tdf#118635 relative checkbox disabled on reopen

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.